-- 基础信息
base_info = {
	group_id = 246201004
}

-- Trigger变量
defs = {
	center_point = 4009,
	air_wall = 4007,
	bridge = 4015
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	-- 平台D空气墙
	{ config_id = 4007, gadget_id = 70800170, pos = { x = 11.900, y = 41.230, z = 79.310 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1, state = GadgetState.ChestOpened },
	{ config_id = 4015, gadget_id = 70800168, pos = { x = 34.276, y = 43.994, z = 79.530 }, rot = { x = 1.714, y = 90.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 4001, pos = { x = 19.643, y = 41.578, z = 77.764 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 4002, pos = { x = 13.839, y = 41.646, z = 72.782 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 4003, pos = { x = 7.102, y = 41.656, z = 75.884 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 4004, pos = { x = 5.559, y = 41.616, z = 77.922 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 4005, pos = { x = 17.693, y = 41.532, z = 74.325 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 4006, pos = { x = 10.260, y = 41.685, z = 73.765 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 4008, pos = { x = 18.245, y = 41.583, z = 83.978 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4009, pos = { x = 13.639, y = 41.637, z = 78.876 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 4010, pos = { x = 15.425, y = 41.484, z = 85.552 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4011, pos = { x = 11.880, y = 41.535, z = 85.704 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4012, pos = { x = 7.937, y = 41.568, z = 84.348 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4013, pos = { x = 6.283, y = 41.649, z = 81.652 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4014, pos = { x = 20.043, y = 41.601, z = 80.986 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	-- 传送点
	{ config_id = 4016, pos = { x = 13.999, y = 41.634, z = 80.635 }, rot = { x = 0.000, y = 0.000, z = 0.000 } }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 4007, 4015 },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_7/Rogue_Cell"
require "V2_7/Rogue_Terrain_1"
